Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Attributes | List of all members
faiss::gpu::GpuIndexIVFPQConfig Struct Reference
Inheritance diagram for faiss::gpu::GpuIndexIVFPQConfig:

## Public Attributes
bool | useFloat16LookupTables
bool | usePrecomputedTables
Public Attributes inherited from faiss::gpu::GpuIndexIVFConfig
IndicesOptions | indicesOptions
| Index storage options for the GPU.
GpuIndexFlatConfig | flatConfig
| Configuration for the coarse quantizer object.
Public Attributes inherited from faiss::gpu::GpuIndexConfig
int | device
| GPU device on which the index is resident.
MemorySpace | memorySpace

## Detailed Description

Definition at line 23 of file GpuIndexIVFPQ.h.

## Member Data Documentation

bool faiss::gpu::GpuIndexIVFPQConfig::useFloat16LookupTables

Whether or not float16 residual distance tables are used in the list scanning kernels. When subQuantizers * 2^bitsPerCode > 16384, this is required.

Definition at line 32 of file GpuIndexIVFPQ.h.

bool faiss::gpu::GpuIndexIVFPQConfig::usePrecomputedTables

Whether or not we enable the precomputed table option for search, which can substantially increase the memory requirement.

Definition at line 36 of file GpuIndexIVFPQ.h.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/gpu/GpuIndexIVFPQ.h